apiVersion: apps/v1
kind: Deployment
metadata:
  name: votingapp-v1
  labels:
    app: votingapp
    image: 1.0.0
spec:
  selector:
    matchLabels:
      app: votingapp
  replicas: 2
  template:
    metadata:
      labels:
        app: votingapp
    spec:
      containers:
        - name: votingapp
          image: registry.gitlab.com/simplon38/brief8/voting-app:1.0.0
          resources:
            limits:
              cpu: "0.5"
            requests:
              cpu: 250m
          env:
            - name: STRESS_SECS
              value: "2"
            - name: REDIS
              value: "service-redis"
            - name: REDIS_PWD
              value: "$(REDIS_PWD)"
            - name: REDIS_PWD
              valueFrom:
                secretKeyRef:
                  name: redis
                  key: REDIS_PWD
          ports:
            - containerPort: 80
